{
  config,
  pkgs,
  lib,
  ...
}: {
  imports = [
    # ./secrets/secrets.nix  # Add this locally after running add-secrets.zsh
    # Optionally import local secrets if present (won't fail if missing)
    (lib.optional (builtins.pathExists ./secrets/secrets.nix) ./secrets/secrets.nix)
    ./modules/desktop-manager/sway_greetd_homemanager.nix
    ./modules/local/hostname_username.nix
    ./modules/local/networking_local.nix
    ./modules/toolsets/remote_building.nix
    ./modules/bootloader/seabios.nix
    ./modules/lix-default.nix
  ];

  system.stateVersion = "25.11";
}
